Compare commits

...

12 Commits

Author SHA1 Message Date
Taiki Endo
32827a2a5e Release 2.12.23 2023-07-31 15:24:25 +09:00
Taiki Endo
ef9cd54530 Update dprint@latest to 0.40.0 (#171) 2023-07-31 16:11:35 +10:00
Taiki Endo
e4052c038b Release 2.12.22 2023-07-30 16:28:42 +09:00
Taiki Endo
2b5850d1e4 Tweak script 2023-07-30 16:17:31 +09:00
Taiki Endo
8030289dfd Update cargo-nextest@latest to 0.9.55 (#170) 2023-07-30 16:09:20 +10:00
Taiki Endo
0cda7d9a26 Release 2.12.21 2023-07-29 04:40:59 +09:00
Taiki Endo
4cb6490afd Update manifest (#169) 2023-07-29 05:40:13 +10:00
Taiki Endo
deab2bca07 Tweak scripts 2023-07-29 04:29:10 +09:00
Taiki Endo
6ffcb9d268 Update cspell dictionary 2023-07-29 04:28:59 +09:00
Taiki Endo
59ffd0e530 Release 2.12.20 2023-07-29 04:11:01 +09:00
Taiki Endo
d8fe71594b Update cargo-deny@latest to 0.14.0 2023-07-29 04:10:00 +09:00
Taiki Endo
1536ff4b2f ci: Run scheduled jobs more frequently 2023-07-27 21:33:37 +09:00
10 changed files with 152 additions and 17 deletions

View File

@@ -24,7 +24,6 @@ rustsec
rustup
valgrind
xcompile
Zdoctest
Zmiri
// Rust target triple
@@ -158,6 +157,7 @@ noninteractive
noprofile
norc
nproc
objcopy
objdump
pipefail
powerset

View File

@@ -10,7 +10,7 @@ on:
- main
- dev
schedule:
- cron: '0 1 * * *'
- cron: '0 0,6,12,18 * * *'
workflow_dispatch:
env:
@@ -132,7 +132,7 @@ jobs:
run: |
set -euxo pipefail
apt-get -o Acquire::Retries=10 -qq update
apt-get -o Acquire::Retries=10 -qq -o Dpkg::Use-Pty=0 install -y --no-install-recommends cargo
apt-get -o Acquire::Retries=10 -o Dpkg::Use-Pty=0 install -y --no-install-recommends cargo
if: startsWith(matrix.container, 'ubuntu') || startsWith(matrix.container, 'debian')
- name: Install requirements (fedora/rockylinux)
run: |

View File

@@ -10,6 +10,26 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.12.23] - 2023-07-31
- Update `dprint@latest` to 0.40.0.
## [2.12.22] - 2023-07-30
- Update `cargo-nextest@latest` to 0.9.55.
## [2.12.21] - 2023-07-28
- Update `cargo-no-dev-deps@latest` to 0.2.3.
- Update `cargo-minimal-versions@latest` to 0.1.13.
- Update `cargo-llvm-cov@latest` to 0.5.24.
## [2.12.20] - 2023-07-28
- Update `cargo-deny@latest` to 0.14.0.
## [2.12.19] - 2023-07-27
- Update `cargo-tarpaulin@latest` to 0.26.1.
@@ -979,7 +999,11 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.12.19...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.12.23...HEAD
[2.12.23]: https://github.com/taiki-e/install-action/compare/v2.12.22...v2.12.23
[2.12.22]: https://github.com/taiki-e/install-action/compare/v2.12.21...v2.12.22
[2.12.21]: https://github.com/taiki-e/install-action/compare/v2.12.20...v2.12.21
[2.12.20]: https://github.com/taiki-e/install-action/compare/v2.12.19...v2.12.20
[2.12.19]: https://github.com/taiki-e/install-action/compare/v2.12.18...v2.12.19
[2.12.18]: https://github.com/taiki-e/install-action/compare/v2.12.17...v2.12.18
[2.12.17]: https://github.com/taiki-e/install-action/compare/v2.12.16...v2.12.17

View File

@@ -261,9 +261,9 @@ apt_install() {
apt_update
fi
if type -P sudo &>/dev/null; then
retry sudo apt-get -o Acquire::Retries=10 -qq -o Dpkg::Use-Pty=0 install -y --no-install-recommends "$@"
retry sudo apt-get -o Acquire::Retries=10 -o Dpkg::Use-Pty=0 install -y --no-install-recommends "$@"
else
retry apt-get -o Acquire::Retries=10 -qq -o Dpkg::Use-Pty=0 install -y --no-install-recommends "$@"
retry apt-get -o Acquire::Retries=10 -o Dpkg::Use-Pty=0 install -y --no-install-recommends "$@"
fi
}
apt_remove() {
@@ -414,7 +414,7 @@ cargo_bin="${CARGO_HOME:-"${HOME}/.cargo"}/bin"
# If $CARGO_HOME does not exist, or cargo installed outside of $CARGO_HOME/bin
# is used ($CARGO_HOME/bin is most likely not included in the PATH), fallback to
# /usr/local/bin or $HOME/.install-action/bin.
if [[ ! -d "${cargo_bin}" ]] || [[ "${host_os}" != "windows" ]] && [[ "$(type -P cargo || true)" != "${cargo_bin}/cargo${exe}" ]]; then
if [[ ! -d "${cargo_bin}" ]] || { [[ "${host_os}" != "windows" ]] && [[ "$(type -P cargo || true)" != "${cargo_bin}/cargo${exe}" ]]; }; then
cargo_bin=/usr/local/bin
fi

View File

@@ -18,7 +18,24 @@
}
},
"latest": {
"version": "0.13.9"
"version": "0.14.0"
},
"0.14": {
"version": "0.14.0"
},
"0.14.0": {
"x86_64_linux_musl": {
"checksum": "85dee04c86104c84f83b344f29ba3f9e0b57b64da011c478e1e4a677cd59baa0"
},
"x86_64_macos": {
"checksum": "3d03a6a5764b81bd3e4f00bc70974f48bf44fe8346788397ff1a680d7304e755"
},
"x86_64_windows": {
"checksum": "4956fe0a296cee572b878512953f562bd5afdd568efe76131d8ecf72b1740cc3"
},
"aarch64_macos": {
"checksum": "2fc95e449d086694aa76c1306e9e5a1762491f99d14a1d46a6b524bed20a94b7"
}
},
"0.13": {
"version": "0.13.9"

View File

@@ -17,10 +17,27 @@
}
},
"latest": {
"version": "0.5.23"
"version": "0.5.24"
},
"0.5": {
"version": "0.5.23"
"version": "0.5.24"
},
"0.5.24": {
"x86_64_linux_musl": {
"checksum": "e1c15ac5a583eeb4c478eed0222c3a3629aff3c9f151d8bdf7b50704ef9073c6"
},
"x86_64_macos": {
"checksum": "c12b25c44fd1b1b76ecfff7ca1ed4a29b2ec6f9c707f0d09a8716ea7513a557d"
},
"x86_64_windows": {
"checksum": "e4221c57b1cd759c0c659f66673f0fd5a03a1a8d2f3c95462b9af966273301c6"
},
"aarch64_linux_musl": {
"checksum": "0f3edd524e10b30c26c6ef7ff069843e89a75441c5f281254c2e65e028ccf29e"
},
"aarch64_macos": {
"checksum": "0d90b623b4dfa4fe631aaff13b891096224346ce907f0dbd61ae9276717f1bec"
}
},
"0.5.23": {
"x86_64_linux_musl": {

View File

@@ -20,10 +20,30 @@
}
},
"latest": {
"version": "0.1.12"
"version": "0.1.13"
},
"0.1": {
"version": "0.1.12"
"version": "0.1.13"
},
"0.1.13": {
"x86_64_linux_musl": {
"checksum": "7bafe9e8c27207845edb3940e3a91f7cbae7a318472267610017fb6b10d8c7a2"
},
"x86_64_macos": {
"checksum": "79bf05f75f95e20641181d7c5576fa18a9b8eb11ad640a979a8916d8b6887831"
},
"x86_64_windows": {
"checksum": "ab7849653698babfc74dc865c87c3683594174e8f53201dc2bbcdc2100e9b4c8"
},
"aarch64_linux_musl": {
"checksum": "c5a1b3d68fc25420806576bc3d947fbb71011f30153c29ff1de162c80dc167e9"
},
"aarch64_macos": {
"checksum": "e7ce17977d4fc48d7a240989edf0c88511cee8573133504f0af5b4f7070893cf"
},
"aarch64_windows": {
"checksum": "f0f501bb1026cb5e48db5ccff3a16dcc6832d5d2f9da353f17337f86fbceca38"
}
},
"0.1.12": {
"x86_64_linux_musl": {

View File

@@ -17,10 +17,27 @@
}
},
"latest": {
"version": "0.9.54"
"version": "0.9.55"
},
"0.9": {
"version": "0.9.54"
"version": "0.9.55"
},
"0.9.55": {
"x86_64_linux_gnu": {
"checksum": "b5bab814d720561c002b5cbe899f997c20407689cfba23754b5a6c20ae3cac4a"
},
"x86_64_linux_musl": {
"checksum": "2ae6cd6198a60c73e906ed99fcc7254ae6dae68076ea2c24f5acda83c5918ffd"
},
"x86_64_macos": {
"checksum": "adbcbd9c2c1634e90c0cc8f376633ff76242a722a81938ecda6fe9131cc90aa6"
},
"x86_64_windows": {
"checksum": "64280ff486b3af59a7c4e095f293f292211b334b9b17c7d4bd45445aabfe15e5"
},
"aarch64_linux_gnu": {
"checksum": "0dbd309e53c001a18afb5f3a3839d0427421bc06ba057b28506d08e7ae2fb20a"
}
},
"0.9.54": {
"x86_64_linux_gnu": {

View File

@@ -20,10 +20,30 @@
}
},
"latest": {
"version": "0.2.2"
"version": "0.2.3"
},
"0.2": {
"version": "0.2.2"
"version": "0.2.3"
},
"0.2.3": {
"x86_64_linux_musl": {
"checksum": "ccd4ee0b1cbe122657d5968ad27712b9ecb291aa58e5ec6e1b2964e78f9f00ee"
},
"x86_64_macos": {
"checksum": "2b7670703e8daaf854f373da5eacd3c9ea26ab28f9ceac6b24351fdf8e2e98df"
},
"x86_64_windows": {
"checksum": "f745b034340885a721fcf7c2eb23e4ef57809cf7304d411b434173c0e7085457"
},
"aarch64_linux_musl": {
"checksum": "2b012dabefa62da7e97e426f0dbf45bb38218b5570e32057aa732551fccad8d4"
},
"aarch64_macos": {
"checksum": "5af57c8f508d1fe04ec7ef74af6e6689c644ff2a0fa0ce36befe68920f819c52"
},
"aarch64_windows": {
"checksum": "a63f26daee3de974ecdb1cea8c3e0918000acd1098c0a63b34c73ae4362b043b"
}
},
"0.2.2": {
"x86_64_linux_musl": {

22
manifests/dprint.json generated
View File

@@ -20,7 +20,27 @@
}
},
"latest": {
"version": "0.39.1"
"version": "0.40.0"
},
"0.40": {
"version": "0.40.0"
},
"0.40.0": {
"x86_64_linux_musl": {
"checksum": "4ca464e5d57d2fcffaa724a4fcecd4b75a8a264df8e673feda0ca94267d07416"
},
"x86_64_macos": {
"checksum": "7da589860a440717b7d1e6153394509fa2a2b74d1c0b24a669920da172c805ce"
},
"x86_64_windows": {
"checksum": "372c6cd7665f1526a821cc3676d36036a6137609c6dcbfaa2601a7da8b0d0bb4"
},
"aarch64_linux_gnu": {
"checksum": "693b5d943a0f705be6379c79135f7e9d9bcc590d2b237e6344196fed62d817c7"
},
"aarch64_macos": {
"checksum": "a0b67859e733330d99809c8307095f56723ba9c3af01b1ffb7a03f1290e19c92"
}
},
"0.39": {
"version": "0.39.1"